Subject: bug#14012: [coreutils] Please add timestamps to the output of tail -f

From: Filipus Klutiero <[email-masked]>
Date: Wed, 20 Mar 2013 18:21:20 -0400

Package: coreutils
Version: 8.13
Severity: wishlist

tail --follow is useful to see what is being added to a file. However, 
if the monitored file is followed for a certain period, it doesn't 
indicate when the new content was added. It would be nice if tail 
allowed to prepend timestamps to the output, as MultiTail's -ts option does.

This is a little delicate to do. The timestamp could be prepended to 
each line, or only to each atomic addition to the file. Also, as we 
don't know when the existing lines were added, we can't give them an 
exact timestamp. MultiTail stamps them with the time of MultiTail's 
launch, but I find that a bit misleading. I would consider simply not 
stamping these.
In any case, as this alters the output, this should be optional.

Scanning the changelog suggests this has not been implemented as of 8.21.